Skip to main content
PATCH
/
developer-apps
/
{app_id}
Update Developer App Endpoint
curl --request PATCH \
  --url https://karibu.briq.tz/developer-apps/{app_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "app_name": "Updated App Name",
  "app_description": "Updated description.",
  "workspace_id": "b2b8e2e8-6f3a-4c3b-8e2e-123456789abc"
}
'
{
  "app_id": "<string>",
  "app_name": "<string>",
  "app_key": "<string>",
  "user_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "app_description": "<string>",
  "workspace_id": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

app_id
string
required

Body

application/json
app_name
string | null
Example:

"Updated App Name"

app_description
string | null
Example:

"Updated description."

workspace_id
string | null
Example:

"b2b8e2e8-6f3a-4c3b-8e2e-123456789abc"

Response

Successful Response

app_id
string
required
app_name
string
required
app_key
string
required
user_id
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
app_description
string | null
workspace_id
string | null